Bug 178377 - No info provided about volume of software
No info provided about volume of software
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-01-19 16:38 EST by Jean Francois Martinez
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-28 00:25:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jean Francois Martinez 2006-01-19 16:38:05 EST
Description of problem: Anaconda does not provide any indication about how big
a software package is and the grand total of what it will install

Version-Release number of selected component (if applicable):

How reproducible:  Always

Steps to Reproduce:  
1.  Just install
Actual results:  Fly by night installation

Expected results: I think it is obvious

Additional info:  
I find very disturbing to install without knowing how much
space things will take.  I am not asking for an installer who tells me the
moment I click: "you will lack space on such parttition" that would be a very
difficult problem to solve with decent speed.  I am just asking one who tells
me: this takes 50 Megs and the grand total of what you have required is 4568
Megs.  I also know that dependencies (BTW Mandrake calculates them on real time
so there are no reason you can't) and files generated at install time will
offset the calculations but at the very least the user should know about the
ballpark so he knows if he is in danger of installation not being able to
proceed once everything is accounted for (dependencies, the RPM database,
generated files, the installer).  Providing that minimum of info is not feature,
it is a _requirement_.
Comment 1 Jeremy Katz 2006-01-28 00:25:09 EST
If there's enough space, that will get reported when the install begins.  We
can't provide anything which is even close to accurate without doing dep
resolution which is fairly memory intensive and which therefore requires that
swap be started first to support installation on older hardware
Comment 2 Jean Francois Martinez 2006-01-30 11:41:55 EST
I only ask for the ballpark (ie what you get when you add the volume of
everything the user has selected plus the "hidden packages" without hunting for
dependencies).  While it is true that when you install one package it could
bring dependencies who far exceed the volume of the package itself, when you
install a
whole distribution the volume of main packages tends to far exceed the volume of
dependencies between other things because the same library is required by
possibly dozens of packages.  Anyhthing would be better that present situation
where user doesn't see neither the volume of the thing he is selecting nor the
total of what he has selected.
Also, for future versions you could consider to precalculate dependencies: ie
instead of having a file telling that package foobar requires libnss.so.6 and
/usr/bin/perl and solving dependencies at install time have a file telling that
package foobar requires glibc-2.481 and perl-5.31.  It would be muuuuch less
resource intensive.  I suspect this is what Mandrake does and what allows them
to tell the user in real time that installing foobar will require to also
install barfoo and raboof.

Note You need to log in before you can comment on or make changes to this bug.